dofile(LockOn_Options.script_path.."cockpit_cfg.lua")
dofile(LockOn_Options.script_path.."displays/common_definitions.lua")
dofile(LockOn_Options.script_path.."displays/MFD/indicator/pages.lua")

IndicatorName = "MFCD"
local MFD_IND_TEX_PATH        = LockOn_Options.script_path .. "../Textures/MFD/"  --定义屏幕贴图路径
demoMatt     = MakeMaterial(MFD_IND_TEX_PATH.."demo.jpg", {255,255,255,255})
IconMatt     = MakeMaterial(MFD_IND_TEX_PATH.."icon.dds", {0,255,0,255})
GunSightMatt = MFD_IND_TEX_PATH .. "asp17grid.dds"
IconTexureSize = {4096,2048}
YELLOW_CONTACT = {"change_color_when_parameter_equal_to_number", 5, 1.0, 1, 1, 0, 1}
RED_CONTACT = {"change_color_when_parameter_equal_to_number", 5, 2.0, 1, 0, 0, 1}
GREEN_CONTACT = {"change_color_when_parameter_equal_to_number", 5, 3.0, 0, 1, 0, 1}

FrameBGCMaterial = MakeMaterial(nil,{0,32,0,255})
FrameEdgeMaterial = MakeMaterial(nil,{0,255,0,255})